## GtkSourceStyleSchemeChooserButton GtkSourceStyleSchemeChooserButton — A button to launch a style scheme selection dialog |

## Functions

GtkWidget * | gtk_source_style_scheme_chooser_button_new ()

## Types and Values

struct | GtkSourceStyleSchemeChooserButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkSourceStyleSchemeChooserButton

## Implemented Interfaces

GtkSourceStyleSchemeChooserButton implements AtkImplementorIface, GtkBuildable, GtkActionable, GtkActivatable and GtkSourceStyleSchemeChooser.

## Includes

    #include <gtksourceview/gtksource.h>

## Description

The GtkSourceStyleSchemeChooserButton is a button which displays the currently selected style scheme and allows to open a style scheme selection dialog to change the style scheme. It is suitable widget for selecting a style scheme in a preference dialog.

In GtkSourceStyleSchemeChooserButton, a GtkSourceStyleSchemeChooserWidget is used to provide a dialog for selecting style schemes.

## Functions

### gtk_source_style_scheme_chooser_button_new ()

    GtkWidget *
    gtk_source_style_scheme_chooser_button_new
                                   (void);

Creates a new GtkSourceStyleSchemeChooserButton.

#### Returns

a new GtkSourceStyleSchemeChooserButton.

Since: 3.16

## Types and Values

### struct GtkSourceStyleSchemeChooserButton

    struct GtkSourceStyleSchemeChooserButton;

## See Also

GtkSourceStyleSchemeChooserWidget